Bug 1301160 - itext-toolbox wrapper doesn't work
itext-toolbox wrapper doesn't work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: itext (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 13:28 EST by Andy Lutomirski
Modified: 2016-01-31 21:23 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.1.7-30 itext-2.1.7-30.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-31 21:23:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Lutomirski 2016-01-22 13:28:52 EST
itext-toolbox fails:

$ itext-toolbox 
Java virtual machine used: /usr/share/java-utils/java-wrapper
classpath used: /usr/share/java/bcprov.jar:/usr/share/java/bcmail.jar:/usr/share/java/bctsp.jar:/usr/share/java/itext.jar:/usr/share/java/itext-toolbox.jar
main class used: com.lowagie.toolbox.Toolbox
flags used: 
options used: '-cp /usr/share/java/bcprov.jar:/usr/share/java/bcmail.jar:/usr/share/java/bctsp.jar:/usr/share/java/itext.jar:/usr/share/java/itext-toolbox.jar'
arguments used: 
Unrecognized option: -cp /usr/share/java/bcprov.jar:/usr/share/java/bcmail.jar:/usr/share/java/bctsp.jar:/usr/share/java/itext.jar:/usr/share/java/itext-toolbox.jar
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.


I think the right fix is to switch to %jpackage_script.  See https://fedoraproject.org/wiki/Packaging:Java#Wrapper_Scripts
Comment 1 Andy Lutomirski 2016-01-22 13:31:18 EST
FWIW, manually running it works fine:

$ java -cp /usr/share/java/bcprov.jar:/usr/share/java/bcmail.jar:/usr/share/java/bctsp.jar:/usr/share/java/itext.jar:/usr/share/java/itext-toolbox.jar com.lowagie.toolbox.Toolbox
Comment 2 Fedora Update System 2016-01-23 08:51:31 EST
itext-2.1.7-30.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fccd0fb770
Comment 3 Fedora Update System 2016-01-23 23:50:17 EST
itext-2.1.7-30.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fccd0fb770
Comment 4 Fedora Update System 2016-01-31 21:23:33 EST
itext-2.1.7-30.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.